# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name		tano
%define version		1.2.1
%define release		%mkrel 2


Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Open-source cross-platform IP TV player
URL:			http://projects.tano.si/en/
Group:			Video
License:		GPL v3
Source:		%{name}_%{version}_src.tar.xz
Patch0:		tano-1.2.1-add-rus-translate-to-desktop-file.patch
Patch1:		tano-1.2.1-fix-icon-install-path.patch
BuildRequires: 	%{_lib}qt4-devel
BuildRequires: 	vlc-devel
BuildRequires: 	vlc-qt-devel
Requires:	vlc-qt >= 0.9.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Tano is an open-source cross-platform IP TV player. It is combining 
Qt and Videolan libraries. Project started because of a need of a 
simple IP TV player on Linux providing EPG.

%prep
%setup -q
%patch0
%patch1


%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Exec=/usr/bin/tano
Icon=tano.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Video;X-MandrakeLinux-Multimedia-Video;
EOF

#remove
rm -rf %buildroot%{_libdir}/libtanocore.so
rm -rf %buildroot%{_libdir}/libtanowidgets.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/tano.png
%{_libdir}/libtanocore.so.*
%{_libdir}/libtanowidgets.so.*


%changelog
* Sun Mar 01 2015 bb <bb> 1.2.1-2pclos2015
- rebuild new vlc-qt

* Fri May 10 2013 Texstar <texstar at gmail.com> 1.2.1-1pclos2013
- 1.2.1

* Wed Aug 22 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.3-1_archie_2012
- update

